# Uses of Interface
writer2latex.api.OutputFile

Packages that use OutputFile
Package
Description
writer2latex.api
writer2latex.base
writer2latex.bibtex
writer2latex.epub
writer2latex.latex
writer2latex.xhtml

## Uses of OutputFile in writer2latex.api

Methods in writer2latex.api that return OutputFile
Modifier and Type
Method
Description
`OutputFile`
BatchConverter.`createIndexFile(String sHeading, IndexPageEntry[] entries)`
Create an index page with specific entries
`OutputFile`
ContentEntry.`getFile()`
Get the file associated with the entry
`OutputFile`
ConverterResult.`getMasterDocument()`
Deprecated.
Methods in writer2latex.api that return types with arguments of type OutputFile
Modifier and Type
Method
Description
`Iterator<OutputFile>`
ConverterResult.`iterator()`
Gets an `Iterator` to access all files in the `ConverterResult`.

## Uses of OutputFile in writer2latex.base

Classes in writer2latex.base that implement OutputFile
Modifier and Type
Class
Description
`class`
`BinaryGraphicsDocument`
This class is used to represent a binary graphics document to be included in the converter result.
`class`
`DOMDocument`
This class represents XML-based documents.
Methods in writer2latex.base that return OutputFile
Modifier and Type
Method
Description
`OutputFile`
ContentEntryImpl.`getFile()`
`OutputFile`
ConverterResultImpl.`getMasterDocument()`
Get the first master document
Methods in writer2latex.base that return types with arguments of type OutputFile
Modifier and Type
Method
Description
`Iterator<OutputFile>`
ConverterResultImpl.`iterator()`
Gets an `Iterator` to access the `List` of `OutputFile` objects
Methods in writer2latex.base with parameters of type OutputFile
Modifier and Type
Method
Description
`void`
ConverterBase.`addDocument(OutputFile doc)`
`void`
ConverterResultImpl.`addDocument(OutputFile file)`
Adds an `OutputFile` to the list
Constructors in writer2latex.base with parameters of type OutputFile
Modifier
Constructor
Description
``
`ContentEntryImpl(String sTitle, int nLevel, OutputFile file, String sTarget)`

## Uses of OutputFile in writer2latex.bibtex

Classes in writer2latex.bibtex that implement OutputFile
Modifier and Type
Class
Description
`class`
`BibTeXDocument`
Class representing a BibTeX document

## Uses of OutputFile in writer2latex.epub

Classes in writer2latex.epub that implement OutputFile
Modifier and Type
Class
Description
`class`
`ContainerWriter`
This class creates the required META-INF/container.xml file for an EPUB package (see http://www.idpf.org/ocf/ocf1.0/download/ocf10.htm).
`class`
`EPUBWriter`
This class repackages an XHTML document into EPUB format.
`class`
`NavigationWriter`
This class writes the EPUB Navigation Document as defined in EPUB 3
`class`
`NCXWriter`
This class creates the required NXC file for an EPUB document (see http://www.idpf.org/2007/opf/OPF_2.0_final_spec.html#Section2.4).
`class`
`OPFWriter`
This class writes an OPF-file for an EPUB document (see http://www.idpf.org/2007/opf/OPF_2.0_final_spec.html).

## Uses of OutputFile in writer2latex.latex

Classes in writer2latex.latex that implement OutputFile
Modifier and Type
Class
Description
`class`
`LaTeXDocument`
Class representing a LaTeX document.

## Uses of OutputFile in writer2latex.xhtml

Classes in writer2latex.xhtml that implement OutputFile
Modifier and Type
Class
Description
`class`
`CssDocument`
An implementation of `OutputFile` for CSS documents.
`class`
`ResourceDocument`
An implementation of `OutputFile` for resource documents.
`class`
`XhtmlDocument`
An implementation of `Document` for XHTML documents.
Methods in writer2latex.xhtml that return OutputFile
Modifier and Type
Method
Description
`OutputFile`
BatchConverterImpl.`createIndexFile(String sHeading, IndexPageEntry[] entries)`
Methods in writer2latex.xhtml with parameters of type OutputFile
Modifier and Type
Method
Description
`protected void`
Converter.`setCoverImageFile(OutputFile file, String sTarget)`